'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _rest = require('rest');

var _rest2 = _interopRequireDefault(_rest);

var _restInterceptorMime = require('rest/interceptor/mime');

var _restInterceptorMime2 = _interopRequireDefault(_restInterceptorMime);

var _restInterceptorErrorCode = require('rest/interceptor/errorCode');

var _restInterceptorErrorCode2 = _interopRequireDefault(_restInterceptorErrorCode);

var client = _rest2['default'].wrap(_restInterceptorMime2['default']).wrap(_restInterceptorErrorCode2['default'], { code: 400 });

exports['default'] = function (options) {
  return client(options);
};

module.exports = exports['default'];